# @16g/react-simple-format [![npm version](https://img.shields.io/npm/v/@16g/react-simple-format.svg?style=flat)](https://www.npmjs.com/package/@16g/react-simple-format) [![CircleCI](https://circleci.com/gh/16g/react-simple-format.svg?style=svg)](https://circleci.com/gh/16g/react-simple-format)

Simple format component like Ruby on Rails [simple_format](https://apidock.com/rails/ActionView/Helpers/TextHelper/simple_format) inspired by [rilkevb/react-simple-format](https://github.com/rilkevb/react-simple-format)

## Installation

```
npm i --save @16g/react-simple-format
```

## Usage

```
import SimpleFormat from '@16g/react-simple-format';

const text = "paragraph\n\nand another one";

<SimpleFormat text={text} />
```

## Props

| Props | Type | Default | Description |
|:---|:---|:---|:---|
| text | string | undefined | Text will be formatted simply |
| wrapperTag | string | 'p' | HTML tag wraps paragraph of `text` |
| prefix | node | undefined | Node prepended to paragraph |
| postfix | node | undefined | Node appended to paragraph |
